PATCH
/
api
/
finance
/
connections
/
{id}
Atualizacao parcial de conexao financeira
curl --request PATCH \
  --url https://suite.sisqualis.com.br/api/finance/connections/{id}/ \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true,
  "status": "<string>",
  "endpoint": "<string>",
  "account_id": "<string>",
  "webhook_configured": true,
  "notes": "<string>"
}
'
{
  "id": 123,
  "provider": "<string>",
  "enabled": true,
  "status": "<string>",
  "endpoint": "<string>",
  "account_id": "<string>",
  "webhook_configured": true,
  "last_sync_at": "2023-11-07T05:31:56Z",
  "notes": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Use: Token <seu_token>

Path Parameters

id
integer
required

Body

application/json
enabled
boolean
status
string
endpoint
string
account_id
string
webhook_configured
boolean
notes
string

Response

200 - application/json

Conexao atualizada

id
integer
provider
string
enabled
boolean
status
string
endpoint
string
account_id
string
webhook_configured
boolean
last_sync_at
string<date-time> | null
notes
string
created_at
string<date-time>
updated_at
string<date-time>